ElaborationStatus (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared

## Enum ElaborationStatus

- java.lang.Object
- - java.lang.Enum<ElaborationStatus>
  - - org.gcube.portlets.user.occurrencemanagement.shared.ElaborationStatus

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Serializable, Comparable<ElaborationStatus>

      public enum ElaborationStatus
      extends Enum<ElaborationStatus>
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETED`
    `DEQUEUE`
    `FAILED`
    `PENDING`
    `RUNNING`
    `STOPPED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `label`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `void` | `setLabel(String label)`
    `static ElaborationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ElaborationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final ElaborationStatus PENDING

    - #### RUNNING

          public static final ElaborationStatus RUNNING

    - #### FAILED

          public static final ElaborationStatus FAILED

    - #### DEQUEUE

          public static final ElaborationStatus DEQUEUE

    - #### STOPPED

          public static final ElaborationStatus STOPPED

    - #### COMPLETED

          public static final ElaborationStatus COMPLETED

  - ### Field Detail

    - #### label

          protected String label

  - ### Method Detail

    - #### values

          public static ElaborationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElaborationStatus c : ElaborationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElaborationStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel(String label)

Copyright © 2014. All Rights Reserved.